## thefuzz 0.22.1

=== requirements.txt ===
rapidfuzz==3.4.0
pycodestyle==2.11.1
hypothesis==6.88.1
pytest==7.4.3
docutils==0.20.1
Pygments==2.16.1
wheel==0.41.3
setuptools==68.2.2
gitchangelog==3.0.4
restructuredtext_lint==1.4.0

## thefuzz 0.19.0

=== debian/changelog ===
thefuzz (0.19.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 09 Nov 2022 16:11:00 +0000

thefuzz (0.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1022243)

 -- Edward Betts <edward@4angle.com>  Sun, 23 Oct 2022 15:41:59 +0100

=== debian/control ===
Source: thefuzz
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-levenshtein,
               python3-pycodestyle <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/seatgeek/thefuzz
Vcs-Browser: https://salsa.debian.org/python-team/packages/thefuzz
Vcs-Git: https://salsa.debian.org/python-team/packages/thefuzz.git

Package: python3-thefuzz
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Fuzzy string matching in Python
 Various methods for fuzzy matching of strings in Python, including:
 .
   - String similarity: Gives a measure of string similarity between 0 and 100.
   - Partial string similarity: Inconsistent substrings are a common problem
     when string matching. To get around it, use a "best partial" heuristic
     when two strings are of noticeably different lengths.
   - Token sort: This approach involves tokenizing the string in question,
     sorting the tokens alphabetically, and then joining them back into a
     string.
   - Token set: A slightly more flexible approach. Tokenize both strings, but
     instead of immediately sorting and comparing, split the tokens into two
     groups: intersection and remainder.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pycodestyle, python3-hypothesis, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/thefuzz-$1\.tar\.gz/ \
  https://github.com/seatgeek/thefuzz/tags .*/v?(\d\S+)\.tar\.gz

## thefuzz 0.22.1

=== debian/changelog ===
thefuzz (0.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Replace Build-Depends python3-levenshtein with python3-rapidfuzz to
    follow upstream.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Apr 2024 05:46:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                dh-sequence-python3,
                python3-all,
                python3-hypothesis <!nocheck>,
-               python3-levenshtein,
+               python3-rapidfuzz <!nocheck>,
                python3-pycodestyle <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/seatgeek/thefuzz
 Vcs-Browser: https://salsa.debian.org/python-team/packages/thefuzz
 Vcs-Git: https://salsa.debian.org/python-team/packages/thefuzz.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thefuzz

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf thefuzz.egg-info .hypothesis
